x11/ocaml-lablgtk - The NetBSD Packages Collection

GTK+ 2.x bindings for Objective Caml

LablGTK is an Objective Caml interface to GTK+.  This version
supports GTK+ from 2.0 to 2.10.

It uses the rich type system of Objective Caml 3 to provide a
strongly typed, yet very comfortable, object-oriented interface to
GTK+.  This is not that easy if you know the dynamic typing approach
taken by GTK+.

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/gmake devel/pkgconf

Runtime dependencies

devel/ocaml-findlib lang/ocaml devel/libglade textproc/libxml2 x11/gtk2 devel/atk devel/glib2 devel/pango graphics/cairo graphics/gdk-pixbuf2 textproc/gtkspell x11/gtksourceview2 graphics/librsvg graphics/libart devel/ocaml-findlib devel/libglade textproc/libxml2 x11/gtk2 devel/atk devel/glib2 devel/pango graphics/cairo graphics/gdk-pixbuf2 textproc/gtkspell x11/gtksourceview2 graphics/librsvg graphics/libart

Binary packages

OSArchitectureVersion
NetBSD 8.0x86_64ocaml-lablgtk-2.18.10nb6.tgz
NetBSD 8.0x86_64ocaml-lablgtk-2.18.10nb7.tgz
NetBSD 9.0aarch64ocaml-lablgtk-2.18.10nb8.tgz
NetBSD 9.0aarch64ocaml-lablgtk-2.18.10nb6.tgz
NetBSD 9.0aarch64ocaml-lablgtk-2.18.10nb7.tgz
NetBSD 9.0earmv6hfocaml-lablgtk-2.18.10nb8.tgz
NetBSD 9.0earmv6hfocaml-lablgtk-2.18.10nb7.tgz
NetBSD 9.0earmv6hfocaml-lablgtk-2.18.10nb7.tgz
NetBSD 9.0earmv7hfocaml-lablgtk-2.18.10nb8.tgz
NetBSD 9.0earmv7hfocaml-lablgtk-2.18.10nb7.tgz
NetBSD 9.0earmv7hfocaml-lablgtk-2.18.10nb7.tgz
NetBSD 9.0i386ocaml-lablgtk-2.18.10nb6.tgz
NetBSD 9.0i386ocaml-lablgtk-2.18.10nb7.tgz
NetBSD 9.0powerpcocaml-lablgtk-2.18.10nb7.tgz
NetBSD 9.0x86_64ocaml-lablgtk-2.18.10nb7.tgz
NetBSD 9.0x86_64ocaml-lablgtk-2.18.10nb7.tgz
NetBSD 9.0x86_64ocaml-lablgtk-2.18.10nb7.tgz
NetBSD 9.0x86_64ocaml-lablgtk-2.18.10nb6.tgz
NetBSD 9.0x86_64ocaml-lablgtk-2.18.10nb7.tgz
NetBSD 9.0x86_64ocaml-lablgtk-2.18.10nb8.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

glade
Enable Glade support
gtksourceview2
Enable gtksourceview2 support.
gtkspell
Enable gtkspell support.
svg
Enable SVG support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.